#!/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- Python -*-
import signal
import time
from object_recognition_controller import ObjectRecognitionController


if __name__ == "__main__":
    object_rec_ins = ObjectRecognitionController()
    if object_rec_ins.setting():
        signal.signal(signal.SIGALRM, object_rec_ins.run)
        signal.setitimer(signal.ITIMER_REAL, 1,
                         object_rec_ins.OBJECT_RECOGNITION_INTERVAL)
        while True:
            time.sleep(5)
